Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059167 - dist-geo-rep : geo-rep failed to sync few symlinks to slave.
Summary: dist-geo-rep : geo-rep failed to sync few symlinks to slave.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: 2.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard: dht, consistency
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 10:48 UTC by Vijaykumar Koppad
Modified: 2015-11-25 08:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-25 08:50:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vijaykumar Koppad 2014-01-29 10:48:38 UTC
Description of problem: geo-rep failed to sync few symlinks to slaves. 

client logs from slave for the missed symlink, 

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
[2014-01-29 09:32:02.981222] I [fuse-bridge.c:3516:fuse_auxgfid_newentry_cbk] 0-fuse-aux-gfid-mount: failed to create the entry <gfid:aa167bad-1240-4479-8501-a08bb6beec64>/52e8ca89%%621A82RLXO with gfid (4ca4fb07-a165-492d-904b-b2e8198bba0c): No such file or directory
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Version-Release number of selected component (if applicable): glusterfs-3.4.0.58rhs-1


How reproducible: Doesn't happen everytime. 


Steps to Reproduce:
1. create and start geo-rep relationship between master(6x2) and slave(6x2)
2. create regular file and let it sync to slave. 
3. create symlinks to all those files.
4. then check if all the files are synced. 

Actual results: Few of the symlinks fail to sync files to slave 


Expected results: It shouldn't fail to sync files. 


Additional info:

Comment 2 Vijaykumar Koppad 2014-02-03 11:07:52 UTC
This happens even in hybrid crawl, in the build 

the slave client logs has entry for one the skipped files as glusterfs-3.4.0.58rhs-1

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
[2014-02-03 10:51:32.495952] I [fuse-bridge.c:3516:fuse_auxgfid_newentry_cbk] 0-fuse-aux-gfid-mount: failed to create the entry <gfid:991b42ad-3a0f-481f-9a76-da06d5d42553>/52ee7ede%%1RG67DDMS8 with gfid (30b011f0-74e4-4d4d-bca2-e4d1eebf9d98): No such file or directory

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

Comment 5 Vijaykumar Koppad 2014-08-15 08:58:05 UTC
This has happened again in the build glusterfs-3.4.0.65rhs. 

The symlinks which were missed had entries in the changelog on master and were processed but failed to create  entries on the slave side, and has logs for the missed symlinks like 

===============================================================================
[2014-08-14 13:52:41.372598] W [dht-layout.c:179:dht_layout_search] 0-slave-dht: no subvolume for hash (value) = 3517234149
[2014-08-14 13:52:41.372704] I [fuse-bridge.c:3516:fuse_auxgfid_newentry_cbk] 0-fuse-aux-gfid-mount: failed to create the entry <gfid:a16816c5-db31-4e64-a0e0-c0783e8c49dc>/53ecbf17%%1VCOXVC3UU with gfid (4f881f3b-5648-4ec9-a7a3-016f94e70658): No such file or directory

===============================================================================

Comment 8 Aravinda VK 2015-11-25 08:50:00 UTC
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Comment 9 Aravinda VK 2015-11-25 08:51:34 UTC
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.


Note You need to log in before you can comment on or make changes to this bug.